from setuptools import setup, find_packages

setup(
    name="material-va-lighthouse",
    version="1.1.0",
    description="A MKDocs plugin which extends the material theme with styles from the VA design system",
    author="Alastair Dawson",
    author_email="alastair.j.dawson@gmail.com",
    license="CC0 1.0",
    packages=find_packages(),
    include_package_data=True,
    package_data={"material_va_lighthouse": ["va_lighthouse.css", "va_lighthouse_logo.png"]},
    install_requires=[
        "mkdocs",
        "mkdocs-material",
        "mkdocs-techdocs-core",
    ],
    entry_points={
        "mkdocs.plugins": [
            "material-va-lighthouse = material_va_lighthouse.plugin:MaterialVALighthousePlugin"
        ],
    },
)
